[NTG-context] system "Linux armv7l" is not supported yet

Mojca Miklavec mojca.miklavec.lists at gmail.com
Fri Jul 25 22:27:16 CEST 2014


Hi,

I'm sorry for too vague instructions.

On Fri, Jul 25, 2014 at 9:40 PM, Sytse Knypstra wrote:
> Thank you, Mojca for your reaction.
>
> On Fri, 25 Jul, 2014 at 5:08 PM, Mojca Miklavec wrote:
>
> We already have some binaries for ARM, two sets in TeX Live
> (http://tug.org/svn/texlive/trunk/Master/bin/) and one set in our minimals
> (http://svn.contextgarden.net/suite-bin/tex/armel-linux/) The problem is
> that I don't know how to distinguish between the two (or more) flavours or
> arm with a simple script. There is Little Endian and Big Endian. And there
> is "Hard Float" or something like that. Are you able to tell: - Which of the
> two sets from TL works for you? (Or whether the binaries on the garden work
> for you.) - How to distinguish between different flavours?
>
>
> Could you please be more specific about how I should test the three sets?
> This is what I did:
> 1. I went to http://tug.org/svn/texlive/trunk/Master/bin/armel-linux/
> I clicked on `context` and then on the first `download` on the page (behind
> Links to HEAD).
> That brought me to a page saying: `link
> ../../texmf-dist/scripts/context/stubs/unix/context`.
> I don't know whether I took the correct steps and how to proceed.

You should have tried "./luatex --version" (or any other binary like
pdftex, xetex etc.), but see also below. "context" is just a symlink.

> 2.  I went to http://tug.org/svn/texlive/trunk/Master/bin/armhf-linux/ and
> performed the same steps as under 1. with the same result.
>
> 3. I went to http://svn.contextgarden.net/suite-bin/tex/armel-linux/ and
> clicked on `luatex` and on the following page again on `luatex`.
> I saved the file `luatex` (7.6 MB) but I don't know what to do with this
> file.
> I changed the permission so that it can be executed. But execution gave the
> error message: `Failed to execute child process "/home/sytse/context/luatex"
> (No such file or directory)`.

I don't know that error.

The idea would be to try to run
    ./luatex --version
and it would either work or fail, but the failure you mentioned is weird.

You can try:
    svn co http://svn.contextgarden.net/suite-bin/tex/armel-linux
    cd armel-linux/luatex
    ./luatex --version


For TeX Live you could try:
    svn co svn://tug.org/texlive/trunk/Master/bin/armhf-linux
    cd armhf-linux
    ./luatex --version
(or do some sparse checkouts to save bandwidth)

Mojca


More information about the ntg-context mailing list